Agora Java API Reference for Android

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
io.agora.rtc2.IH265TranscoderObserver.H265TranscodeResult Enum Reference

## Public Member Functions
int | getValue ()

## Static Public Member Functions
static H265TranscodeResult | fromInt (int v)

## Public Attributes
| UNKNOWN =(-1)
| SUCCESS =(0)
| REQUEST_INVALID =(1)
| UNAUTHORIZED =(2)
| TOKEN_EXPIRED =(3)
| FORBIDDEN =(4)
| NOT_FOUND =(5)
| CONFLICTED =(6)
| NOT_SUPPORTED =(7)
| TOO_OFTEN =(8)
| SERVER_INTERNAL_ERROR =(9)
| SERVICE_UNAVAILABLE =(10)

## Detailed Description

The result of IH265Transcoder interface invoking.

## Member Data Documentation

## ◆ UNKNOWN

io.agora.rtc2.IH265TranscoderObserver.H265TranscodeResult.UNKNOWN =(-1)

-1: Unknown error.

## ◆ SUCCESS

io.agora.rtc2.IH265TranscoderObserver.H265TranscodeResult.SUCCESS =(0)

0: The request of operation is successfully.

## ◆ REQUEST_INVALID

io.agora.rtc2.IH265TranscoderObserver.H265TranscodeResult.REQUEST_INVALID =(1)

1: This request is invalid. Possible reasons include incorrect parameters.

## ◆ UNAUTHORIZED

io.agora.rtc2.IH265TranscoderObserver.H265TranscodeResult.UNAUTHORIZED =(2)

2: Authentication failed, please check for correctness of token.

## ◆ TOKEN_EXPIRED

io.agora.rtc2.IH265TranscoderObserver.H265TranscodeResult.TOKEN_EXPIRED =(3)

3: The token is expired, please update token.

## ◆ FORBIDDEN

io.agora.rtc2.IH265TranscoderObserver.H265TranscodeResult.FORBIDDEN =(4)

4: No permission to access the interface.

## ◆ NOT_FOUND

io.agora.rtc2.IH265TranscoderObserver.H265TranscodeResult.NOT_FOUND =(5)

5: The url of request is not found.

## ◆ CONFLICTED

io.agora.rtc2.IH265TranscoderObserver.H265TranscodeResult.CONFLICTED =(6)

6: The request encountered a conflict, please try again.

## ◆ NOT_SUPPORTED

io.agora.rtc2.IH265TranscoderObserver.H265TranscodeResult.NOT_SUPPORTED =(7)

7: Content type not supported.

## ◆ TOO_OFTEN

io.agora.rtc2.IH265TranscoderObserver.H265TranscodeResult.TOO_OFTEN =(8)

8: The requests are too frequent.

## ◆ SERVER_INTERNAL_ERROR

io.agora.rtc2.IH265TranscoderObserver.H265TranscodeResult.SERVER_INTERNAL_ERROR =(9)

9: Internal Server Error, you can try sending the request again.

## ◆ SERVICE_UNAVAILABLE

io.agora.rtc2.IH265TranscoderObserver.H265TranscodeResult.SERVICE_UNAVAILABLE =(10)

10: Service is unavailable.